.dividing-line {
  display: flex;
  align-items: center;
  background-color: rgb(var(--background-color));
}

.dividing-line__line-left,
.dividing-line__line-right {
  width: 100%;
  height: 0;
  border-block-start: var(--line-width-desktop) var(--line-style, solid) rgb(var(--line-color));
}

.dividing-line__line-title {
  margin: 0 16px;
  font-family: var(--font-family);
  font-size: var(--font-size);
  color: rgb(var(--text-color));
  white-space: nowrap;
}

@media (max-width: 959px) {
  .dividing-line__line-left,
  .dividing-line__line-right {
    border-block-start-width: var(--line-width-mobile);
  }
}
